<?xml version="1.0" encoding="UTF-8"?>

<!--
  ~
  ~      Copyright (c) 2018-2025, hnqz All rights reserved.
  ~
  ~  Redistribution and use in source and binary forms, with or without
  ~  modification, are permitted provided that the following conditions are met:
  ~
  ~ Redistributions of source code must retain the above copyright notice,
  ~  this list of conditions and the following disclaimer.
  ~  Redistributions in binary form must reproduce the above copyright
  ~  notice, this list of conditions and the following disclaimer in the
  ~  documentation and/or other materials provided with the distribution.
  ~  Neither the name of the pig4cloud.com developer nor the names of its
  ~  contributors may be used to endorse or promote products derived from
  ~  this software without specific prior written permission.
  ~  Author: hnqz
  ~
  -->

<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.qunzhixinxi.hnqz.admin.mapper.WmTaskTypeEntRefMapper">

  <resultMap id="wmTaskTypeEntRefMap" type="com.qunzhixinxi.hnqz.admin.entity.WmTaskTypeEntRef">
                  <id property="id" column="id"/>
                        <result property="agentId" column="agent_id"/>
                        <result property="drugentId" column="drugent_id"/>
                        <result property="deptId" column="dept_id"/>
                        <result property="delFlag" column="del_flag"/>
                        <result property="enableFlag" column="enable_flag"/>
                        <result property="tenantId" column="tenant_id"/>
                        <result property="createTime" column="create_time"/>
                        <result property="createUser" column="create_user"/>
                        <result property="updateTime" column="update_time"/>
                        <result property="updateUser" column="update_user"/>
            </resultMap>

	<select id="selectByDrId" resultMap="wmTaskTypeEntRefMap" parameterType="java.lang.String" >
		select
		*
		from wm_task_type_ent_ref
		where drugent_id = #{drugentId,jdbcType=VARCHAR}
		and drugent_id=agent_id
	</select>
	<select id="selectByAgentId" resultMap="wmTaskTypeEntRefMap" parameterType="java.lang.String" >
		select
		*
		from wm_task_type_ent_ref
		where agent_id = #{agentId,jdbcType=VARCHAR}
	</select>



</mapper>
